#include <minigui.ch>
#include "hbsqlit3.ch"



Function BackupData()
    LOCAL cZipFile, cFolder, aDirectory := {}, aFiles := {}
    
    cFolder := GetStartUpFolder()
    
    cZipFile := GetDesktopFolder()+"\MyExpenseBackup.zip"

                              
    if empty(cFolder)
    	return nil
    endif
    
    if empty(cZipFile)
    	return nil
    endif
    
    aDirectory := directory(cFolder+"\*.db")
        
    if len(aDirectory) = 0
    	msginfo("No file to backup")
    	return nil
    endif
    
    aeval(aDirectory, {|x| aadd(aFiles, cFolder+"\"+x[1])})
    
    CompressFiles( cZipFile, aFiles, {|| NIL}, .T.)
    
	return nil



Function RestoreData()
    LOCAL cZipFile, cFolder, aDirectory := {}, aFiles := {}

    cFolder := GetStartUpFolder()

    cZipFile := GetFile( {{ "Compressed Files", "*.zip" }}, GetDesktopFolder() ) 

    if empty(cFolder)
    	return nil
    endif
        
    if empty(cZipFile)
    	return nil
    endif 
    
    UNCOMPRESS cZipFile BLOCK {|| nil}
    
	return nil